<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-failfast-unittest.GTestFailFastUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-failfast-unittest.GTestFailFastUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-failfast-unittest.GTestFailFastUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest__inherit__graph.svg" width="230" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-failfast-unittest.GTestFailFastUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest__coll__graph.svg" width="230" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad3089094d4accf5ed4e45263133255bf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#ad3089094d4accf5ed4e45263133255bf">testDefaultBehavior</a> (self)</td></tr>
<tr class="separator:ad3089094d4accf5ed4e45263133255bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8868f9e55d8ee268276d64656865441f"><td class="memItemLeft" align="right" valign="top"><a id="a8868f9e55d8ee268276d64656865441f"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testGoogletestFlag</b> (self)</td></tr>
<tr class="separator:a8868f9e55d8ee268276d64656865441f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51e0d6947e2fc6e143e8bd060e45b6e3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a51e0d6947e2fc6e143e8bd060e45b6e3">testGoogletestEnvVar</a> (self)</td></tr>
<tr class="separator:a51e0d6947e2fc6e143e8bd060e45b6e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb621eff4b0d5738376907eba783634"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a8eb621eff4b0d5738376907eba783634">testBazelEnvVar</a> (self)</td></tr>
<tr class="separator:a8eb621eff4b0d5738376907eba783634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a89aed053602baadb9bb32a46e6cfd3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a3a89aed053602baadb9bb32a46e6cfd3">testFlagOverridesEnvVar</a> (self)</td></tr>
<tr class="separator:a3a89aed053602baadb9bb32a46e6cfd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad998af915c456cda96a09816223585f5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#ad998af915c456cda96a09816223585f5">testGoogletestEnvVarOverridesBazelEnvVar</a> (self)</td></tr>
<tr class="separator:ad998af915c456cda96a09816223585f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1475e3d7f80ce772c1f46e113a607f87"><td class="memItemLeft" align="right" valign="top"><a id="a1475e3d7f80ce772c1f46e113a607f87"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testEventListener</b> (self)</td></tr>
<tr class="separator:a1475e3d7f80ce772c1f46e113a607f87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e253ee370a45c0fd976f1618bccab75"><td class="memItemLeft" align="right" valign="top"><a id="a9e253ee370a45c0fd976f1618bccab75"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>assertXmlResultCount</b> (self, result, count, xml)</td></tr>
<tr class="separator:a9e253ee370a45c0fd976f1618bccab75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbfb5e6a69ab38fb0fb05166f736d6d9"><td class="memItemLeft" align="right" valign="top"><a id="acbfb5e6a69ab38fb0fb05166f736d6d9"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>assertXmlStatusCount</b> (self, status, count, xml)</td></tr>
<tr class="separator:acbfb5e6a69ab38fb0fb05166f736d6d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a752c45c96a6daa7efc47edb1f494b400"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a752c45c96a6daa7efc47edb1f494b400">assertFailFastXmlAndTxtOutput</a> (self, fail_fast, test_suite, passed_count, failure_count, skipped_count, suppressed_count, run_disabled=False)</td></tr>
<tr class="separator:a752c45c96a6daa7efc47edb1f494b400"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0305a6ba4982f90ec3ddedf2a81369f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#ad0305a6ba4982f90ec3ddedf2a81369f">assertFailFastBehavior</a> (self, test_suite, passed_count, failure_count, skipped_count, suppressed_count, run_disabled=False)</td></tr>
<tr class="separator:ad0305a6ba4982f90ec3ddedf2a81369f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2f4c49ee6ff969b7373a3cec08ffe2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a7c2f4c49ee6ff969b7373a3cec08ffe2">assertNotFailFastBehavior</a> (self, test_suite, passed_count, failure_count, skipped_count, suppressed_count, run_disabled=False)</td></tr>
<tr class="separator:a7c2f4c49ee6ff969b7373a3cec08ffe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af95aac2efeb297b78be0a3d28f3b3285"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#af95aac2efeb297b78be0a3d28f3b3285">testFlag_HasFixtureTest</a> (self)</td></tr>
<tr class="separator:af95aac2efeb297b78be0a3d28f3b3285"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0912f4b1d91586ef5e4d73b0e915c40e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a0912f4b1d91586ef5e4d73b0e915c40e">testFlag_HasSimpleTest</a> (self)</td></tr>
<tr class="separator:a0912f4b1d91586ef5e4d73b0e915c40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbfff1ef73c601860f46361dae18d65a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#abbfff1ef73c601860f46361dae18d65a">testFlag_HasParametersTest</a> (self)</td></tr>
<tr class="separator:abbfff1ef73c601860f46361dae18d65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879f6fdc7c5c1bed898e59e44c9e4ac8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a879f6fdc7c5c1bed898e59e44c9e4ac8">testFlag_HasDisabledTest</a> (self)</td></tr>
<tr class="separator:a879f6fdc7c5c1bed898e59e44c9e4ac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a740cee36272084c7948b1ebf64f652ae"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#a740cee36272084c7948b1ebf64f652ae">testFlag_HasDisabledRunDisabledTest</a> (self)</td></tr>
<tr class="separator:a740cee36272084c7948b1ebf64f652ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad063354b4cf7fd600d3dfeef4c6653a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#aad063354b4cf7fd600d3dfeef4c6653a">testFlag_HasDisabledSuiteTest</a> (self)</td></tr>
<tr class="separator:aad063354b4cf7fd600d3dfeef4c6653a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2194792adbb0121f66506be70b71698"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#ab2194792adbb0121f66506be70b71698">testFlag_HasDisabledSuiteRunDisabledTest</a> (self)</td></tr>
<tr class="separator:ab2194792adbb0121f66506be70b71698"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaece76802795e2116b8af727b70e14e9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html#aaece76802795e2116b8af727b70e14e9">testFlag_HasDeathTest</a> (self)</td></tr>
<tr class="separator:aaece76802795e2116b8af727b70e14e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests the env variable or the command line flag for fail_fast.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad0305a6ba4982f90ec3ddedf2a81369f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0305a6ba4982f90ec3ddedf2a81369f">&#9670;&nbsp;</a></span>assertFailFastBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.assertFailFastBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_suite</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>passed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>failure_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>skipped_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>suppressed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>run_disabled</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Assert --fail_fast via flag.</pre> 
</div>
</div>
<a id="a752c45c96a6daa7efc47edb1f494b400"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a752c45c96a6daa7efc47edb1f494b400">&#9670;&nbsp;</a></span>assertFailFastXmlAndTxtOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.assertFailFastXmlAndTxtOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fail_fast</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_suite</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>passed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>failure_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>skipped_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>suppressed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>run_disabled</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Assert XML and text output of a test execution.</pre> 
</div>
</div>
<a id="a7c2f4c49ee6ff969b7373a3cec08ffe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c2f4c49ee6ff969b7373a3cec08ffe2">&#9670;&nbsp;</a></span>assertNotFailFastBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.assertNotFailFastBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>test_suite</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>passed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>failure_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>skipped_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>suppressed_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>run_disabled</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Assert --nofail_fast via flag.</pre> 
</div>
</div>
<a id="a8eb621eff4b0d5738376907eba783634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eb621eff4b0d5738376907eba783634">&#9670;&nbsp;</a></span>testBazelEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testBazelEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of specifying fail_fast via Bazel testbridge.</pre> 
</div>
</div>
<a id="ad3089094d4accf5ed4e45263133255bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3089094d4accf5ed4e45263133255bf">&#9670;&nbsp;</a></span>testDefaultBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testDefaultBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of not specifying the fail_fast.</pre> 
</div>
</div>
<a id="aaece76802795e2116b8af727b70e14e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaece76802795e2116b8af727b70e14e9">&#9670;&nbsp;</a></span>testFlag_HasDeathTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasDeathTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and death tests.</pre> 
</div>
</div>
<a id="a740cee36272084c7948b1ebf64f652ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a740cee36272084c7948b1ebf64f652ae">&#9670;&nbsp;</a></span>testFlag_HasDisabledRunDisabledTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasDisabledRunDisabledTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and Disabled test cases enabled.</pre> 
</div>
</div>
<a id="ab2194792adbb0121f66506be70b71698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2194792adbb0121f66506be70b71698">&#9670;&nbsp;</a></span>testFlag_HasDisabledSuiteRunDisabledTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasDisabledSuiteRunDisabledTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and Disabled test suites enabled.</pre> 
</div>
</div>
<a id="aad063354b4cf7fd600d3dfeef4c6653a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad063354b4cf7fd600d3dfeef4c6653a">&#9670;&nbsp;</a></span>testFlag_HasDisabledSuiteTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasDisabledSuiteTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and Disabled test suites.</pre> 
</div>
</div>
<a id="a879f6fdc7c5c1bed898e59e44c9e4ac8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a879f6fdc7c5c1bed898e59e44c9e4ac8">&#9670;&nbsp;</a></span>testFlag_HasDisabledTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasDisabledTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and Disabled test cases.</pre> 
</div>
</div>
<a id="af95aac2efeb297b78be0a3d28f3b3285"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af95aac2efeb297b78be0a3d28f3b3285">&#9670;&nbsp;</a></span>testFlag_HasFixtureTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasFixtureTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and TEST_F.</pre> 
</div>
</div>
<a id="abbfff1ef73c601860f46361dae18d65a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbfff1ef73c601860f46361dae18d65a">&#9670;&nbsp;</a></span>testFlag_HasParametersTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasParametersTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and TEST_P.</pre> 
</div>
</div>
<a id="a0912f4b1d91586ef5e4d73b0e915c40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0912f4b1d91586ef5e4d73b0e915c40e">&#9670;&nbsp;</a></span>testFlag_HasSimpleTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlag_HasSimpleTest </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of fail_fast and TEST.</pre> 
</div>
</div>
<a id="a3a89aed053602baadb9bb32a46e6cfd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a89aed053602baadb9bb32a46e6cfd3">&#9670;&nbsp;</a></span>testFlagOverridesEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testFlagOverridesEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests precedence of flag over env var.</pre> 
</div>
</div>
<a id="a51e0d6947e2fc6e143e8bd060e45b6e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51e0d6947e2fc6e143e8bd060e45b6e3">&#9670;&nbsp;</a></span>testGoogletestEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testGoogletestEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of specifying fail_fast via Googletest env var.</pre> 
</div>
</div>
<a id="ad998af915c456cda96a09816223585f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad998af915c456cda96a09816223585f5">&#9670;&nbsp;</a></span>testGoogletestEnvVarOverridesBazelEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-failfast-unittest.GTestFailFastUnitTest.testGoogletestEnvVarOverridesBazelEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that the Googletest native env var over Bazel testbridge.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-failfast-unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-failfast-unittest</b></li><li class="navelem"><a class="el" href="classgoogletest-failfast-unittest_1_1GTestFailFastUnitTest.html">GTestFailFastUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
